[Overview][Constants][Types][Classes][Index] | Reference for unit 'BlowFish' (#fcl)

# TBlowFish.Encrypt

Encrypt a block

## Declaration

Source position: blowfish.pp line 43

`public procedure TBlowFish.Encrypt(`
`var Block: TBFBlock`
`);`

## Arguments

`Block` |  | Data to encrypt

## Description

Encrypt encrypts the data in Block (always 8 bytes) using the key specified when the TBlowFish instance was created.

## See also

TBlowFishKey |  | Array to hold blowfish encryption keys
Decrypt |  | Decrypt a block
Create |  | Create a new instance of the TBlowFish class

Documentation generated on: Feb 26 2014